/***************************************************************************
                          cdivxcalcapp.cpp  -  description
                             -------------------
    begin                : Mon May 05 2003
    copyright            : (C) 2002 by Mathias Kster
    email                : mathen@ketelhot.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qdatetime.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qclipboard.h>
#include <qapplication.h>
#include <qmessagebox.h>
#include <qimage.h>
#include <qregexp.h>
#include <qpopupmenu.h>
#include <qcursor.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qprocess.h>
#include <qglobal.h>
#include <qstatusbar.h>
#include <qtooltip.h>
#include <qfile.h>
#include <qfiledialog.h>
#include <qsplitter.h>
#include <qspinbox.h>
#include <qlabel.h>

#include "cdivxcalcapp.h"

/** */
CDivxCalcApp::CDivxCalcApp( QWidget * parent, const char *name, int wflags ) : DialogDivxCalcApp(parent, name, wflags)
{
	InitDocument();
}

/** */
CDivxCalcApp::~CDivxCalcApp()
{
}

/** */
void CDivxCalcApp::InitDocument()
{
	connect( PushButton_CALCULATE, SIGNAL(clicked()), this, SLOT(slotCalculate()) );
	connect( PushButton_CLOSE, SIGNAL(clicked()), this, SLOT(slotClose()) );
}

/** */
void CDivxCalcApp::slotCalculate()
{
	int cdlength;
	int dvdmovielength;
	int mp3bitrate;

	LineEdit_CDLENGTH->setText( QString().setNum(LineEdit_CDLENGTH->text().toInt()) );

	cdlength = LineEdit_CDLENGTH->text().toInt();
	dvdmovielength = SpinBox_DVDMOVIEWLENGTH->value();
	mp3bitrate = ComboBox_MP3BITRATE->currentText().toInt();

	TextLabel_BITRATE->setText( QString().setNum((int) ((((cdlength*1024*8)/1000)*1024)-(mp3bitrate*dvdmovielength*60))/(dvdmovielength*60) ));
}

/** */
void CDivxCalcApp::slotClose()
{
	qApp->quit();
}

